Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PlayersLocatorInterfaces Class Reference

The interfaces of the PlayersLocator module. More...

`#include <PlayersLocator.h>`

Inheritance diagram for PlayersLocatorInterfaces:

[legend]
Collaboration diagram for PlayersLocatorInterfaces:

[legend]
List of all members.

## Public Member Functions
| PlayersLocatorInterfaces (const RobotPose &robotPose, const TeamMessageCollection &teamMessageCollection, const OdometryData &odometryData, const GTCamWorldState &gtCamWorldState, const BallModel &ballModel, PlayersPercept &playersPercept, PlayerPoseCollection &playerPoseCollection, PassCorridorCollection &passCorridorCollection, PlayersModel &playersModel)
| Constructor.
## Protected Attributes
const RobotPose & | robotPose
| The estimated position of the robot.
const TeamMessageCollection & | teamMessageCollection
| Team messages from the other robots.
const OdometryData & | odometryData
| The odometry data that was calculated by the motion modules.
const BallModel & | ballModel
| The ball model of the ball locator.
const GTCamWorldState & | gtCamWorldState
| The worldstate generated by the GTCam.
PlayerPoseCollection & | playerPoseCollection
| The player positions to be calculated.
PassCorridorCollection & | passCorridorCollection
| The availible pass corridors.
PlayersModel & | playersModel
| The players model which hold the informations about the opponent players.
PlayersPercept & | playersPercept
| The detected players.

## Detailed Description

The interfaces of the PlayersLocator module.

Definition at line 28 of file PlayersLocator.h.

## Constructor & Destructor Documentation

PlayersLocatorInterfaces::PlayersLocatorInterfaces | ( | const RobotPose & | robotPose,
|  | const TeamMessageCollection & | teamMessageCollection,
|  | const OdometryData & | odometryData,
|  | const GTCamWorldState & | gtCamWorldState,
|  | const BallModel & | ballModel,
|  | PlayersPercept & | playersPercept,
|  | PlayerPoseCollection & | playerPoseCollection,
|  | PassCorridorCollection & | passCorridorCollection,
|  | PlayersModel & | playersModel
| ) | `[inline]`

| Constructor. Definition at line 32 of file PlayersLocator.h.

## Member Data Documentation

const RobotPose& PlayersLocatorInterfaces::robotPose`[protected]`

| The estimated position of the robot. Definition at line 59 of file PlayersLocator.h.

const TeamMessageCollection& PlayersLocatorInterfaces::teamMessageCollection`[protected]`

| Team messages from the other robots. Definition at line 62 of file PlayersLocator.h.

const OdometryData& PlayersLocatorInterfaces::odometryData`[protected]`

| The odometry data that was calculated by the motion modules. Definition at line 65 of file PlayersLocator.h.

const BallModel& PlayersLocatorInterfaces::ballModel`[protected]`

| The ball model of the ball locator. It is used by the particle system to propergate the players position Definition at line 71 of file PlayersLocator.h.

const GTCamWorldState& PlayersLocatorInterfaces::gtCamWorldState`[protected]`

| The worldstate generated by the GTCam. Definition at line 74 of file PlayersLocator.h.

PlayerPoseCollection& PlayersLocatorInterfaces::playerPoseCollection`[protected]`

| The player positions to be calculated. Definition at line 77 of file PlayersLocator.h.

PassCorridorCollection& PlayersLocatorInterfaces::passCorridorCollection`[protected]`

| The availible pass corridors. Definition at line 80 of file PlayersLocator.h.

PlayersModel& PlayersLocatorInterfaces::playersModel`[protected]`

| The players model which hold the informations about the opponent players. Definition at line 83 of file PlayersLocator.h.

PlayersPercept& PlayersLocatorInterfaces::playersPercept`[protected]`

| The detected players. Definition at line 85 of file PlayersLocator.h.

The documentation for this class was generated from the following file:

- Modules/PlayersLocator/PlayersLocator.h